#mage tower spectre
from eventAPI import getTag, setTag, giveItems
from APIUtils import showMessage, showPicture

mSpec7 = 0

def fireEvent(e):
    spec = getTag(e, "mSpec7")

    if(spec == 0):
        showPicture(e, "Spectre")
        showMessage(e,
            ["A spectre appears, saying:",
             "\"Only a wise and mighty magic user can release the Ancient that lies here.\""])
        setTag(e, "mSpec7", 1)
    return 1
